
From: Dominik Brodowski <linux@dominikbrodowski.net>

Add pcmcia_device_id table.

Signed-off-by: Dominik Brodowski <linux@dominikbrodowski.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/parport/parport_cs.c |    9 +++++++++
 1 files changed, 9 insertions(+)

diff -puN drivers/parport/parport_cs.c~pcmcia-id_table-for-parport_csc drivers/parport/parport_cs.c
--- 25/drivers/parport/parport_cs.c~pcmcia-id_table-for-parport_csc	Sun Mar  6 17:28:15 2005
+++ 25-akpm/drivers/parport/parport_cs.c	Sun Mar  6 17:28:15 2005
@@ -373,6 +373,13 @@ int parport_event(event_t event, int pri
     return 0;
 } /* parport_event */
 
+static struct pcmcia_device_id parport_ids[] = {
+	PCMCIA_DEVICE_FUNC_ID(3),
+	PCMCIA_DEVICE_MANF_CARD(0x0137, 0x0003),
+	PCMCIA_DEVICE_NULL
+};
+MODULE_DEVICE_TABLE(pcmcia, parport_ids);
+
 static struct pcmcia_driver parport_cs_driver = {
 	.owner		= THIS_MODULE,
 	.drv		= {
@@ -380,6 +387,8 @@ static struct pcmcia_driver parport_cs_d
 	},
 	.attach		= parport_attach,
 	.detach		= parport_detach,
+	.id_table	= parport_ids,
+
 };
 
 static int __init init_parport_cs(void)
_
